-- MySQL dump 10.10
--

--
-- Table structure for table `snmptt`
--
CREATE DATABASE snmptt;
use snmptt;

CREATE TABLE `snmptt` (
  `id` bigint(20) NOT NULL auto_increment,
  `eventname` varchar(50) default NULL,
  `eventid` varchar(50) default NULL,
  `trapoid` varchar(100) default NULL,
  `enterprise` varchar(100) default NULL,
  `community` varchar(20) default NULL,
  `hostname` varchar(100) default NULL,
  `agentip` varchar(16) default NULL,
  `category` varchar(20) default NULL,
  `severity` varchar(20) default NULL,
  `uptime` varchar(20) default NULL,
  `traptime` varchar(30) default NULL,
  `formatline` varchar(1024) default NULL,
  `trapread` int(11) default '0',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8; 

ALTER TABLE snmptt ADD COLUMN (entry_time timestamp);
CREATE INDEX snmptt_01 ON snmptt (entry_time, formatline(512));
CREATE INDEX snmptt_02 ON snmptt (hostname, severity);
ALTER TABLE snmptt MODIFY formatline text;

--
-- Table structure for table `snmptt_statistics`
--

CREATE TABLE `snmptt_statistics` (
  `stat_time` varchar(30) default NULL,
  `total_received` bigint(20) default NULL,
  `total_translated` bigint(20) default NULL,
  `total_ignored` bigint(20) default NULL,
  `total_unknown` bigint(20) default NULL
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `snmptt_unknown`
--

CREATE TABLE IF NOT EXISTS `snmptt_unknown` (
  `id` bigint(20) NOT NULL auto_increment,
  `trapoid` varchar(100) default NULL,
  `enterprise` varchar(100) default NULL,
  `community` varchar(20) default NULL,
  `hostname` varchar(100) default NULL,
  `agentip` varchar(16) default NULL,
  `uptime` varchar(20) default NULL,
  `traptime` varchar(30) default NULL,
  `formatline` varchar(1024) default NULL,
  `trapread` int(11) default '0',
  `severity` varchar(20) default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;
ALTER TABLE snmptt_unknown ADD COLUMN (entry_time timestamp);
CREATE INDEX snmptt_unknown_01 ON snmptt_unknown (entry_time, formatline(512));
CREATE INDEX snmptt_unknown_02 ON snmptt_unknown (hostname, severity);
ALTER TABLE snmptt_unknown MODIFY formatline text;


CREATE TABLE `snmptt_archive` (
  `id` bigint(20) NOT NULL auto_increment,
  `snmptt_id` mediumint(9) NOT NULL,
  `eventname` varchar(50) default NULL,
  `eventid` varchar(50) default NULL,
  `trapoid` varchar(100) default NULL,
  `enterprise` varchar(100) default NULL,
  `community` varchar(20) default NULL,
  `hostname` varchar(100) default NULL,
  `agentip` varchar(16) default NULL,
  `category` varchar(20) default NULL,
  `severity` varchar(20) default NULL,
  `uptime` varchar(20) default NULL,
  `traptime` varchar(30) default NULL,
  `formatline` varchar(1024) default NULL,
  `trapread` int(11) default '0',
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8; 
ALTER TABLE snmptt_archive ADD COLUMN (entry_time timestamp);
CREATE INDEX snmptt_archive_01 ON snmptt_archive (entry_time, formatline(512));
CREATE INDEX snmptt_archive_02 ON snmptt_archive (hostname, severity);


